<html>
<svg height="500" width="500">
    <path id="head" fill="#f00" />
    <path id="body" fill="#faa" />
    <path id="ballL" fill="#a00" />
    <path id="ballR" fill="#a00" />
</svg>
<script type="text/javascript" src="./helper/Base64.js"></script>
<script>
    function circlePath(cx, cy, r) {
        return `M${cx} ${cy} m${r * (-1)} ${0} a ${r},${r} 0 1 0 ${r * 2} 0 a ${r} ${r} 0 1 0 ${r * (-2)} 0 Z`
    }
    function halfcirclePath(cx, cy, r) {
        return `M${cx} ${cy} m${r * (-1)} ${0} a ${r},${r} 0 1 0 ${r * 2} 0 Z`
    }
    function rotate(d, cx, cy) {
        return `rotate(${d} ${cx} ${cy})`
    }
    function rectPath(x, y, w, h) {
        return `M${x} ${y} L${x + w} ${y} L${x + w} ${y + h} L${x} ${y + h} Z`
    }
    console.log(circlePath(250, 250, 250))
    document.getElementById('head').setAttribute('d', halfcirclePath(250, 100, 65))
    document.getElementById('head').setAttribute('transform', rotate(180, 250, 100))
    document.getElementById('body').setAttribute('d', rectPath(200, 100, 100, 200))

    document.getElementById('ballL').setAttribute('d', circlePath(200, 300, 50))
    document.getElementById('ballR').setAttribute('d', circlePath(300, 300, 50))

    let f = {
        'creator': { 't': 'id', 'eq': '{id of user}' },
        'assignee': { 't': 'id', 'eq': '{id of user}' },
        'land.zipCode': { 't': 'string', 'gte': '20000', 'lte': '29999' },
        'land.city': { 't': 'string', 'eq': 'Hamburg' },
        'land.area': { 't': 'number', 'gte': '50', 'lte': '100' },
        'land.usableArea': { 't': 'number', 'gte': '50', 'lte': '100' },

        'agent.fname': { 't': 'string', 'eq': 'Name' },
        'agent.mname': { 't': 'string', 'eq': 'Of' },
        'agent.lname': { 't': 'string', 'eq': 'Agent' },
        'agent.company.name': { 't': 'string', 'eq': 'Company' },

        'contactAt':
        { 't': 'date', 'gte': '{start date of year 2016}', 'lte': '{end date of year 2016}' },

        'state.expiredAt':
        { 't': 'date', 'lt': '{date now}' },// - expired **

        'state.expiredAt':
        { 't': 'date', 'gte': '{date now}', 'lt': '{date now + 2days}' },// - nearly **

        'state.expiredAt':
        { 't': 'date', 'gte': '{date now + 2days}' }// - default **
    }
    function getParameterByName(name, url) {
        if (!url) url = window.location.href;
        name = name.replace(/[\[\]]/g, "\\$&");
        var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
            results = regex.exec(url);
        if (!results) return null;
        if (!results[2]) return '';
        return decodeURIComponent(results[2].replace(/\+/g, " "));
    }
    // let objJsonStr = JSON.stringify(f)
    // let objJsonB64 = Base64.encode(objJsonStr)
    let objJsonBack = Base64.decode(getParameterByName('s'))

    // console.log(getParameterByName('s'))
    // console.log(objJsonStr)
    // console.log(objJsonB64)
    console.log(objJsonBack)
    let objJson = JSON.parse(objJsonBack)
    console.log(objJson)

</script>

</html>